function battle_bai046(npcID)  --毒囊草蛛

    p=flag.GetBattleValue(12802)
    n=flag.GetBattleValue(12004)
    if p==0 then
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		else 
			id = battle.GetRndPlayer()
			if battle.CheckPlayerStat(id,6)==1 then
				battle.SetDamageScale(3)
				battle.AtkToPlayer(id,2)     --2号大威力攻击最后被异变的角色
			else
				battle.MagicToPlayer(id,1003,1)   --单体法术
			end
		end
    else
		id = battle.GetRndPlayer()
		if battle.CheckPlayerStat(id,6)==1 then
			battle.SetDamageScale(3)
			battle.AtkToPlayer(id,2)     --2号大威力攻击最后被异变的角色
			flag.SetBattleValue(12802,0)
		else
			battle.MagicToPlayer(id,1003,1)   --单体法术
		end
    end
end